| OpenMS 2.5.0

NovorAdapter

Novoradapter for de novo sequencing from tandem mass spectrometry data.

pot. predecessor tools | NovorAdapter | pot. successor tools
signal-/preprocessing e.g. FileFilter (in mzML format) | IDFilter or any protein/peptide processing tool

This tool can be used for de novo sequencing of peptides from MS/MS data.

Novor must be installed before this wrapper can be used. This wrapper was successfully tested with version v1.06.0634 (stable).

Novor settings can be either used via command line or directly using a param file (param.txt).

Parameter names have been changed to match names found in other search engine adapters. For further information check the Novor wiki (http://wiki.rapidnovor.com/wiki/Main_Page) and the official tool website (https://www.rapidnovor.com/).

The command line parameters of this tool are:

    NovorAdapter -- Template for Tool creation

    Full documentation: http://www.openms.de/documentation/UTILS_NovorAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    To cite NovorAdapter:

      Ma Bin. Novor: Real-Time Peptide de Novo Sequencing Software. Journal of The American Society for Mass Spectrometry; 30 June 2015. doi:0.1007/s13361-015-1204-0.

    Usage:

      NovorAdapter <options>

    Options (mandatory options marked with '*'):

      -executable <jar>                   Novor.jar

      -in <file>*                         MzML Input file (valid formats: 'mzml')

      -out <file>*                        Novor idXML output (valid formats: 'idXML')

      -enzyme <choice>                    Digestion enzyme - currently only Trypsin is supported  (default: 'Tryp

                                          sin' valid: 'Trypsin')

      -fragmentation <choice>             Fragmentation method (default: 'CID' valid: 'CID', 'HCD')

      -massAnalyzer <choice>              MassAnalyzer e.g. (Oritrap CID-Trap, CID-FT, HCD-FT; QTof CID-TOF) (def

                                          ault: 'Trap' valid: 'Trap', 'TOF', 'FT')

      -fragment_mass_tolerance <double>   Fragmentation error tolerance  (Da) (default: '0.5')

      -precursor_mass_tolerance <double>  Precursor error tolerance  (ppm or Da) (default: '15.0')

      -precursor_error_units <choice>     Unit of precursor mass tolerance (default: 'ppm' valid: 'ppm', 'Da')

      -variable_modifications <mods>      Variable modifications (valid: 'Acetyl (K)', 'Acetyl (N-term)', 'Amidat

                                          ed (C-term)', 'Ammonia-loss (N-term C)', 'Biotin (K)', 'Biotin (N-term)

                                          ', 'Carbamidomethyl (C)', 'Carbamyl (K)', 'Carbamyl (N-term)', 'Carboxy

                                          methyl (C)', 'Deamidated (NQ)', 'Dehydrated (N-term C)', 'Dioxidation

                                          (M)', 'Methyl (C-term)', 'Methyl (DE)', 'Oxidation (M)', 'Oxidation

                                          (HW)', 'Phospho (ST)', 'Phospho (Y)', 'Pyro-carbamidomethyl (N-term

                                          C)', 'Pyro-Glu (E)', 'Pyro-Glu (Q)', 'Sodium (C-term)', 'Sodium (DE)',

                                          'Sulfo (STY)', 'Trimethyl (RK)')

      -fixed_modifications <mods>         Fixed modifications (valid: 'Acetyl (K)', 'Acetyl (N-term)', 'Amidated

                                          (C-term)', 'Ammonia-loss (N-term C)', 'Biotin (K)', 'Biotin (N-term)',

                                          'Carbamidomethyl (C)', 'Carbamyl (K)', 'Carbamyl (N-term)', 'Carboxymet

                                          hyl (C)', 'Deamidated (NQ)', 'Dehydrated (N-term C)', 'Dioxidation (M)'

                                          , 'Methyl (C-term)', 'Methyl (DE)', 'Oxidation (M)', 'Oxidation (HW)',

                                          'Phospho (ST)', 'Phospho (Y)', 'Pyro-carbamidomethyl (N-term C)', 'Pyro

                                          -Glu (E)', 'Pyro-Glu (Q)', 'Sodium (C-term)', 'Sodium (DE)', 'Sulfo

                                          (STY)', 'Trimethyl (RK)')

      -forbiddenResidues <mods>           Forbidden Resiudes (valid: 'I', 'U')

      -novorFile <file>                   File to introduce customized algorithm parameters for advanced users

                                          (otional .novor file) (valid formats: 'novor')

      -java_executable <file>             The Java executable. Usually Java is on the system PATH. If Java is

                                          not found, use this parameter to specify the full path to Java

      -java_memory <num>                  Maximum Java heap size (in MB) (default: '3500')

    Common UTIL options:

      -ini <file>                         Use the given TOPP INI file

      -threads <n>                        Sets the number of threads allowed to be used by the TOPP tool (default

                                          : '1')

      -write_ini <file>                   Writes the default configuration file

      --help                              Shows options

      --helphelp                          Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+NovorAdapter Template for Tool creation
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'NovorAdapter'
executable novor.jar novor.jar input file
in MzML Input file input file*.mzml
out Novor idXML output output file*.idXML
enzyme Trypsin Digestion enzyme - currently only Trypsin is supported Trypsin
fragmentation CID Fragmentation method CID,HCD
massAnalyzer Trap MassAnalyzer e.g. (Oritrap CID-Trap, CID-FT, HCD-FT; QTof CID-TOF)Trap,TOF,FT
fragment_mass_tolerance 0.5 Fragmentation error tolerance (Da)
precursor_mass_tolerance 15.0 Precursor error tolerance (ppm or Da)
precursor_error_units ppm Unit of precursor mass tolerance ppm,Da
variable_modifications[] Variable modifications Acetyl (K),Acetyl (N-term),Amidated (C-term),Ammonia-loss (N-term C),Biotin (K),Biotin (N-term),Carbamidomethyl (C),Carbamyl (K),Carbamyl (N-term),Carboxymethyl (C),Deamidated (NQ),Dehydrated (N-term C),Dioxidation (M),Methyl (C-term),Methyl (DE),Oxidation (M),Oxidation (HW),Phospho (ST),Phospho (Y),Pyro-carbamidomethyl (N-term C),Pyro-Glu (E),Pyro-Glu (Q),Sodium (C-term),Sodium (DE),Sulfo (STY),Trimethyl (RK)
fixed_modifications[] Fixed modifications Acetyl (K),Acetyl (N-term),Amidated (C-term),Ammonia-loss (N-term C),Biotin (K),Biotin (N-term),Carbamidomethyl (C),Carbamyl (K),Carbamyl (N-term),Carboxymethyl (C),Deamidated (NQ),Dehydrated (N-term C),Dioxidation (M),Methyl (C-term),Methyl (DE),Oxidation (M),Oxidation (HW),Phospho (ST),Phospho (Y),Pyro-carbamidomethyl (N-term C),Pyro-Glu (E),Pyro-Glu (Q),Sodium (C-term),Sodium (DE),Sulfo (STY),Trimethyl (RK)
forbiddenResidues[] Forbidden Resiudes I,U
novorFile File to introduce customized algorithm parameters for advanced users (otional .novor file)input file*.novor
java_executable java The Java executable. Usually Java is on the system PATH. If Java is not found, use this parameter to specify the full path to Java input file
java_memory 3500 Maximum Java heap size (in MB)
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false